package com.goafanti.common.model;

import java.math.BigDecimal;
import java.util.Date;
import java.io.Serializable;

/**
 * 订单变更(NewOrderChange)实体类
 *
 * @author andex
 * @since 2023-11-27 13:46:34
 */
public class NewOrderChange implements Serializable {
    private static final long serialVersionUID = -19111689813792568L;
    /**
     * id
     */
    private Integer id;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 流程状态 0=营销员，1=营销经理，2=营销管理员，3=技术员，4=技术经理，5=技术总监，6=财务专员，7=财务总监，8=总裁，9=董事长
     */
    private Integer processState;
    /**
     * 状态 0草稿 1审核中 2通过 3驳回 4完成 5撤销 6上传附件
     */
    private Integer status;
    /**
     * 变更类型 0退单退款 1项目及金额变更 2仅项目变更 3仅金额变更 4重报 5赠送
     */
    private Integer type;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 图片地址
     */
    private String voucherUrl;
    /**
     * 总金额
     */
    private BigDecimal totalAmount;
    /**
     * 已收款
     */
    private BigDecimal settlementAmount;
    /**
     * 申请金额
     */
    private BigDecimal changeAmount;
    /**
     * 申请人
     */
    private String applicant;
    /**
     * 申请部门
     */
    private String depName;
    /**
     * 项目进度
     */
    private String projectState;
    /**
     * 发生成本费用
     */
    private BigDecimal zxsCost;
    /**
     * 咨询师备注(营销员日志备注)
     */
    private String zxsRemarks;
    /**
     * 收款时间
     */
    private Date paymentTime;
    /**
     * 收款金额
     */
    private BigDecimal paymentAmount;
    /**
     * 开票时间
     */
    private Date invoiceTime;
    /**
     * 已开票金额
     */
    private BigDecimal invoiceAmount;
    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 发生直接成本
     */
    private BigDecimal cwCost;
    /**
     * 应退金额
     */
    private BigDecimal refundableAmount;
    /**
     * 财务备注
     */
    private String cwRemarks;
    /**
     * 预计成本费用
     */
    private BigDecimal estimateCost;
    /**
     * 预计退款
     */
    private BigDecimal estimateRefundable;
    /**
     * 累计退票
     */
    private BigDecimal refundInvoice;
    /**
     * 原订单编号
     */
    private String usedOrder;
    /**
     * 退款状态 0否 1是
     */
    private Integer refundStatus;
    /**
     * 退款凭证
     */
    private String refundUrl;
    /**
     * 驳回位置 (同流程状态)
     */
    private Integer backStatus;
    /**
     * 附件地址
     */
    private String attachmentUrl;
    /**
     * 合同图片
     */
    private String contractPictureUrl;
    /**
     * 首付金额
     */
    private BigDecimal firstAmount;
    /**
     * 审核人员名称
     */
    private String examineName;
    /**
     * 发生间接成本
     */
    private BigDecimal cwIndirectCost;
    /**
     * 企业负责人
     */
    private String contacts;
    /**
     * 负责人联系电话
     */
    private String contactMobile;
    /**
     * 企业总经理
     */
    private String managerContacts;
    /**
     * 总经理联系电话
     */
    private String managerContactMobile;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getProcessState() {
        return processState;
    }

    public void setProcessState(Integer processState) {
        this.processState = processState;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getVoucherUrl() {
        return voucherUrl;
    }

    public void setVoucherUrl(String voucherUrl) {
        this.voucherUrl = voucherUrl;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public BigDecimal getChangeAmount() {
        return changeAmount;
    }

    public void setChangeAmount(BigDecimal changeAmount) {
        this.changeAmount = changeAmount;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getProjectState() {
        return projectState;
    }

    public void setProjectState(String projectState) {
        this.projectState = projectState;
    }

    public BigDecimal getZxsCost() {
        return zxsCost;
    }

    public void setZxsCost(BigDecimal zxsCost) {
        this.zxsCost = zxsCost;
    }

    public String getZxsRemarks() {
        return zxsRemarks;
    }

    public void setZxsRemarks(String zxsRemarks) {
        this.zxsRemarks = zxsRemarks;
    }

    public Date getPaymentTime() {
        return paymentTime;
    }

    public void setPaymentTime(Date paymentTime) {
        this.paymentTime = paymentTime;
    }

    public BigDecimal getPaymentAmount() {
        return paymentAmount;
    }

    public void setPaymentAmount(BigDecimal paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    public Date getInvoiceTime() {
        return invoiceTime;
    }

    public void setInvoiceTime(Date invoiceTime) {
        this.invoiceTime = invoiceTime;
    }

    public BigDecimal getInvoiceAmount() {
        return invoiceAmount;
    }

    public void setInvoiceAmount(BigDecimal invoiceAmount) {
        this.invoiceAmount = invoiceAmount;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public BigDecimal getCwCost() {
        return cwCost;
    }

    public void setCwCost(BigDecimal cwCost) {
        this.cwCost = cwCost;
    }

    public BigDecimal getRefundableAmount() {
        return refundableAmount;
    }

    public void setRefundableAmount(BigDecimal refundableAmount) {
        this.refundableAmount = refundableAmount;
    }

    public String getCwRemarks() {
        return cwRemarks;
    }

    public void setCwRemarks(String cwRemarks) {
        this.cwRemarks = cwRemarks;
    }

    public BigDecimal getEstimateCost() {
        return estimateCost;
    }

    public void setEstimateCost(BigDecimal estimateCost) {
        this.estimateCost = estimateCost;
    }

    public BigDecimal getEstimateRefundable() {
        return estimateRefundable;
    }

    public void setEstimateRefundable(BigDecimal estimateRefundable) {
        this.estimateRefundable = estimateRefundable;
    }

    public BigDecimal getRefundInvoice() {
        return refundInvoice;
    }

    public void setRefundInvoice(BigDecimal refundInvoice) {
        this.refundInvoice = refundInvoice;
    }

    public String getUsedOrder() {
        return usedOrder;
    }

    public void setUsedOrder(String usedOrder) {
        this.usedOrder = usedOrder;
    }

    public Integer getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(Integer refundStatus) {
        this.refundStatus = refundStatus;
    }

    public String getRefundUrl() {
        return refundUrl;
    }

    public void setRefundUrl(String refundUrl) {
        this.refundUrl = refundUrl;
    }

    public Integer getBackStatus() {
        return backStatus;
    }

    public void setBackStatus(Integer backStatus) {
        this.backStatus = backStatus;
    }

    public String getAttachmentUrl() {
        return attachmentUrl;
    }

    public void setAttachmentUrl(String attachmentUrl) {
        this.attachmentUrl = attachmentUrl;
    }

    public String getContractPictureUrl() {
        return contractPictureUrl;
    }

    public void setContractPictureUrl(String contractPictureUrl) {
        this.contractPictureUrl = contractPictureUrl;
    }

    public BigDecimal getFirstAmount() {
        return firstAmount;
    }

    public void setFirstAmount(BigDecimal firstAmount) {
        this.firstAmount = firstAmount;
    }

    public String getExamineName() {
        return examineName;
    }

    public void setExamineName(String examineName) {
        this.examineName = examineName;
    }

    public BigDecimal getCwIndirectCost() {
        return cwIndirectCost;
    }

    public void setCwIndirectCost(BigDecimal cwIndirectCost) {
        this.cwIndirectCost = cwIndirectCost;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getContactMobile() {
        return contactMobile;
    }

    public void setContactMobile(String contactMobile) {
        this.contactMobile = contactMobile;
    }

    public String getManagerContacts() {
        return managerContacts;
    }

    public void setManagerContacts(String managerContacts) {
        this.managerContacts = managerContacts;
    }

    public String getManagerContactMobile() {
        return managerContactMobile;
    }

    public void setManagerContactMobile(String managerContactMobile) {
        this.managerContactMobile = managerContactMobile;
    }

}
